#coding=utf-8
import sys
import os
from   os.path import abspath, dirname
sys.path.insert(0,abspath(dirname(__file__)))
import tkinter
from   tkinter import *
import Fun
uiName="newWindowProgress"
ElementBGArray={}
ElementBGArray_Resize={}
ElementBGArray_IM={}
#Form 'Form_1's Event :Load
def Form_1_onLoad(uiName):
    Timer_1=Fun.GetElement(uiName,'Timer_1')
    Timer_1.SetInterval(10)
    Timer_1.Start()
 
    
    
#Timer 'Timer_1's Timer Event :
def Timer_1_onTimer(uiName,widgetName,count=0):
    value = Fun.GetCurrentValue(uiName,'Progress_1')
    Fun.SetCurrentValue(uiName,'Progress_1',value+1)
    if value >=100:
        Timer_1=Fun.GetElement(uiName,'Timer_1')
        Timer_1.Stop()
        
    
